/**
 * \file rvc/uidlgimagehistogram.h
 * \brief RVC::UI::DlgImageHistogram functions
 *
 * \if NODOC
 * $Id: uidlgimagehistogram.h_v 1.2 2013/08/01 16:22:37 mju Exp $
 *
 * $Log: uidlgimagehistogram.h_v $
 * Revision 1.2  2013/08/01 16:22:37  mju
 * Add open fn for multi-raster.
 *
 * Revision 1.1  2013/06/28 21:22:16  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_RVC_UIDLGIMAGEHISTOGRAM_H
#define	INC_RVC_UIDLGIMAGEHISTOGRAM_H

#ifndef	INC_MI32_MILIST_H
#include <mi32/milist.h>
#endif

#ifndef	INC_MI32_COLOR_H
#include <mi32/color.h>
#endif

#ifndef GENERATING_DOXYGEN_OUTPUT
class REGION2D;
namespace RVC {
	class OBJITEM;
	}
#endif

namespace RVC {
namespace UI {

//! Determine if any histogram views are open.
bool DlgImageHistogramHasOpen ();

//! Open histogram view for specified object.
ERRVALUE DlgImageHistogramOpen (
	MDLGPARENT dlgparent,
	const RVC::OBJITEM& objitem
	);

//! Open histogram view set of objects corresponding to color model.
ERRVALUE DlgImageHistogramOpen (
	MDLGPARENT dlgparent,
	COLOR::MODEL ColorModel,
	const MILIST<const RVC::OBJITEM*>& ObjItemPtrList
	);

//! Set region for all open histogram views.
ERRVALUE DlgImageHistogramSetRegion (
	const REGION2D& region
	);

}	// End namespace UI
}	// End namespace RVC

#endif	// INC_RVC_UIDLGIMAGEHISTOGRAM_H
